uniform float iGlobalTime;

varying vec2 vUv;
varying vec3 N;
varying vec3 V;

varying vec3 rD;

void main() {
	vUv = uv;

	rD = (projectionMatrix * vec4(position, 1.0)).xyz;
	
	N = normalize(normalMatrix * normal); 
	V = normalize(-vec3(modelViewMatrix * vec4(position, 1.0)));

	gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
}